# SPDX-License-Identifier: GPL-2.0-only OR BSD-2-Clause
%YAML 1.2
---
$id: http://devicetree.org/schemas/sound/maxim,max98090.yaml#
$schema: http://devicetree.org/meta-schemas/core.yaml#

title: Maxim Integrated MAX98090/MAX98091 audio codecs

maintainers:
  - Krzysztof Kozlowski <krzk@kernel.org>

description: |
  Pins on the device (for linking into audio routes):
  MIC1, MIC2, DMICL, DMICR, IN1, IN2, IN3, IN4, IN5, IN6, IN12, IN34, IN56,
  HPL, HPR, SPKL, SPKR, RCVL, RCVR, MICBIAS

allOf:
  - $ref: dai-common.yaml#

properties:
  compatible:
    enum:
      - maxim,max98090
      - maxim,max98091

  reg:
    maxItems: 1

  clocks:
    items:
      - description: master clock

  clock-names:
    items:
      - const: mclk

  interrupts:
    maxItems: 1

  maxim,dmic-freq:
    $ref: /schemas/types.yaml#/definitions/uint32
    default: 2500000
    description:
      DMIC clock frequency

  maxim,micbias:
    $ref: /schemas/types.yaml#/definitions/uint32
    enum: [ 0, 1, 2, 3 ]
    default: 3
    description: |
      Micbias voltage applied to the analog mic, valid voltages value are:
        0 - 2.2v
        1 - 2.55v
        2 - 2.4v
        3 - 2.8v

  '#sound-dai-cells':
    const: 0

required:
  - compatible
  - reg
  - interrupts

unevaluatedProperties: false

examples:
  - |
    #include <dt-bindings/interrupt-controller/irq.h>

    i2c {
        #address-cells = <1>;
        #size-cells = <0>;

        audio-codec@10 {
            compatible = "maxim,max98090";
            reg = <0x10>;
            interrupt-parent = <&gpx3>;
            interrupts = <2 IRQ_TYPE_EDGE_FALLING>;
            clocks = <&i2s0 0>;
            clock-names = "mclk";
            #sound-dai-cells = <0>;
        };
    };
